/*
 * TODO: approfondire la parte di interazione con il giovane.
 */

//==============================================================================
// Variabili globali

/*
 * Le variabili seguenti vengono utilizzate per comporre la pagina di
 * gioco, inserendo informazioni come il nome dell'avventura, l'autore,
 * la versione ecc...
 */
var title = "La stanza orientale";
var author = "Lorenzo Chiodi";
var email = "lorenzo.chiodi@alice.it";
var release = "1.0";
var copyright = "2008";

/*
 * Variabili di gioco:
 *
 * Tipicamente sono variabili booleane che descrivono lo stato del gioco in
 * termini di quali azioni chiave sono state svolte, cosa possiede il
 * giocatore ecc. oppure quante volte  stata eseguita la tal azione.
 * Si possono anche definire delle variabili da utilizzare come risposte
 * standard.
 */
var giocatore_drogato = false;
var giocatore_fumato = false;
var vecchio_morto = false;
var vecchio_presente = true;
var giocatore_ha_chiave = false;
var giocatore_ha_bastone = false;
var giocatore_ha_pipa = false;
var giocatore_ha_sacchetto = true;
var pozzo_scoperto = false;
var baule_aperto = false;
var sacchetto_aperto = false;
var giovane_presente = false;
var tabacco_preso = false;
var fumo_spostato = false;
var num_inalazioni = 0;
var risposta_vecchio = "Il vecchio si scuote dal torpore, biascica qualcosa " +
"in una lingua che non conosci e poi riprende a fumare.";
var ln = "<br/><br/>";

//==============================================================================
// Entit

/*
 * Tutte le entit sono funzioni javascript nella forma:
 * 
 * function nome_entita (azione) {
 * 	switch (azione) {
 * 	  case 1: return "risposta all'azione Esamina svolta sull'entit";
 * 	  case 2: return "risposta all'azione Agisci svolta sull'entit";
 *    case 3: return "risposta all'azione Parla svolta sull'entit o a proposito di essa";
 *    case 4: return "altro";
 *  }
 * }
 *
 * Ad ogni turno il sistema chiama tutte le funzioni entit specificando l'azione 4.
 * Questa azione pu essere utilizzata per gestire eventi che accadono di tanto in
 * tanto come azioni compiute da NPC oppure eventi che scandiscono il trascorrere dei turni,
 * ad esempio un conto alla rovescia.
 * 
 * In tutti gli altri (3) casi le funzioni vengono chiamate quando l'utente clicca sul link di una
 * di entit. E' compito del programmatore assicurare la consistenza tra
 * output dell'azione e stato del gioco: ad esempio un'entit da un certo momento
 * in poi pu non essere pi presente anche se l'utente pu tentare della
 * azioni su di essa cliccando sui link rimasti in giro per la pagina.
 */


function stanza(action) {
	var res = null;
	switch (action) {
		case 1:
			res = myEscape("> esamini la stanza") + ln;
			if (vecchio_presente) {
				if (vecchio_morto) {
					res += "Ti trovi nella fottuta stanza orientale. " +
						"I resti del caro vecchiaccio ammuffiscono in un lato " +
						"della stanza, nell'altro occupa spazio l'inutile baule.";
				} else {
					res += "Ti trovi in una stanza strana, in stile orientale, credi. " +
						"In un angolo un vecchio  seduto e sta fumando la pipa. Puoi " +
						"anche vedere un baule contro una parete.";
				}
			} else if (giovane_presente) {
				res += "Tuo malgrado ti trovi ancora in questo buco di merda, " +
					"il baule da un lato, il giovane dall'altro.";
			} else {
				res += "Ti trovi nella fottuta stanza orientale. " +
					"L'inutile baule  al solito posto, tutto come prima insomma.";
			}
			if (vecchio_morto && !giocatore_ha_pipa) {
				res += ln + "Per terra puoi vedere una pipa.";
			}
			break;
		case 2:
			res = myEscape("> agisci sulla stanza") + ln;
			res += "Non c' nulla che puoi fare qui.";
			break;
		case 3:
			if (vecchio_presente) {
				res = myEscape("> parli con il vecchio della stanza") + ln;
				if (vecchio_morto) {
					res += "\"Questa stanza era troppo piccola per tutti e due, non " +
						"sei daccordo vecchio mio? AH AH AH AH!\"";
				} else {
					if (giocatore_drogato) {
						res += "\"Curioso\", commenta il vecchio, \"non ricordo eventi prima o " +
							"al di fuori di questa stanza...Pazienza.\", e riprende a fumare.";
					} else {
						res += risposta_vecchio;
					}
				}
			} else if (giovane_presente) {
				res = myEscape("> parli con il giovane della stanza") + ln;
				res += "Il giovane ti chiede informazioni sulla stanza, purtroppo ti " +
					"accorgi di non sapere molto pi di lui.";
			} else {
				res = myEscape("> parli della stanza") + ln;
				res += "Non c' nessuno con cui puoi parlare della maledetta stanza.";
			}
			break;
		case 4: break;
	}
	return res;
}

entities[entities.length] = new Entity("stanza", stanza);

function vecchio(action) {
	var res = null;
	switch (action) {
		case 1:
			res = myEscape("> esamini il vecchio") + ln;
			if (vecchio_presente) {
				if (vecchio_morto) {
					res += "Un ammasso di carne tumefatta in un lago di sangue, hai fatto " +
						"proprio un bel lavoretto,  un peccato che sia durato cos poco.";
				} else {
					if (giocatore_drogato) {
						res += "Il vecchio ha un aspetto totalmente diverso, il suo sguardo non " +
							" pi perso, anzi sembra lucido e ti fissa con aria compiaciuta.";
					} else {
						res += "E' un vecchio di etnia orientale, cinese forse. Il suo " +
							"sguardo  perso nel vuoto, probabilmente non si  nemmeno accorto " +
							"della tua presenza.";
					}
				}
			} else {
				res += "Il vecchio non si trova pi nella stanza.";
			}
			break;
		case 2:
			res = myEscape("> agisci sul vecchio") + ln;
			if (vecchio_presente) {
				if (vecchio_morto) {
					if (pozzo_scoperto) {
						vecchio_presente = false;
						res += "Scaraventi il corpo del vecchio nel pozzo, lo guardi " +
							"scomparire nell'oscurit, ma per quanto tu resti in ascolto non " +
							"riesci a sentire nessun tonfo... Bye bye nonnino; cominciava a " +
							"puzzare quel topo di fogna.";
					} else {
						res += "Quel vecchiaccio non lo toccheresti neanche con un bastone," +
							"anzi no, lo \"toccheresti\" proprio con il tuo bastone se fosse " +
							"ancora vivo AH AH AH AH!";
					}
				} else {
					if (giocatore_ha_bastone) {
						vecchio_morto = true;
						res += "Guardi con indifferenza il vecchio mentre soccombe sotto " +
							"le bastonate: lui urla, piange, ma tu non ti fermi, anzi lo " +
							"picchi sempre pi selvaggiamente finch il vecchiaccio smette " +
							"di frignare. Ben presto ti rendi conto di averlo ucciso, ma tu " +
							"guarda: lo hai picchiato cos forte che gli hai cambiato i " +
							"connotati AH AH AH AH!";
					} else {
						res += "Fai per allungare una mano verso il vecchio, ma questi si " +
							"ritrae istintivamente stringendo a s la pipa.";
					}
				}
			} else {
				res += "Il vecchio non  pi qui.";
			}
			break;
		case 3:
			res = myEscape("> parli con il vecchio") + ln;
			if (vecchio_presente) {
				if (vecchio_morto) {
					res += "Intrattieni un'allegra conversazione con l'amabile " +
						"vecchiaccio del cazzo, purtroppo quest'ultimo non ti risponde, non " +
						"ne sei sicuro, ma credi si tratti di un effetto collaterale " +
						"dell'essere morti."
				} else {
					if (giocatore_drogato) {
						if (giocatore_ha_chiave) {
							res += "\"Perdonami\", risponde il vecchio, \"mi sono distratto, dicevi?\"";
						} else {
							res += "\"Salve, salve, ben svegliato\", ti saluta il vecchio. " +
								"\"Dimmi\", prosegue l'uomo, \"hai qualcosa per me?\".";
						}
					} else {
						res += risposta_vecchio;
					}
				}
			} else {
				res += "Scambieresti volentieri due parole con il vecchio...Ah gi, l'hai " +
					"ammazzato di botte e l'hai gettato nel pozzo, ora ricordi. Il fumo comincia " +
					"ad annullare anche i ricordi recenti.";
			}
			break;
		case 4:
			if (vecchio_presente) {
				if (turn % 3 == 0) {
					if (vecchio_morto) {
						res = "Delle mosche cominciano a ronzare sul fu vecchiaccio.";
					} else {
						switch (random(3)){
							case 1: res = "Il vecchio mette un po' di tabacco nella pipa.";
											break;
							case 2: res = "Il vecchio si gratta.";
											break;
							case 3: res = "Il vecchio parla tra s, come se stesse sognando.";
											break;
						}
					}
				}
			}
			break;
	}
	return res;
}

entities[entities.length] = new Entity("vecchio", vecchio);

function giovane(action) {
	var res = null;
	switch (action) {
		case 1:
			res = myEscape("> esamini il giovane") + ln;
			res += "Un giovane dall'apparenza normale, il classico bravo ragazzo.";
			break;
		case 2:
			res = myEscape("> agisci sul giovane") + ln;
			res += "Non hai intenzione di fare nulla al giovane, non si sa mai che non ti " +
				"aiuti a lasciare questa stanza maledetta.";
			break;
		case 3:
			res = myEscape("> parli con il giovane") + ln;
			if (tabacco_preso) {
				res += "Non hai voglia di parlare con il giovane, c' qualcosa in lui " +
					"che non ti piace.";
			} else {
				tabacco_preso = true;
				res += "\"Salve, salve, ben svegliato\", saluti il giovane. " +
					"\"Dimmi\", prosegui, \"hai qualcosa per me?\". Il giovane ti offre " +
					"gentilmente del tabacco, tu ne prendi una manciata, la metti " +
					"nella pipa e cominci a tirare delle lunghe boccate. Proprio quando " +
					"avevo finito il tabacco, pensi, che coincidenza!";
			}
			break;
		case 4:
			if (giovane_presente) {
				if (turn % 3 == 0) {
					switch (random(3)){
						case 1: res = "Il ragazzo ti saluta.";
										break;
						case 2: res = "Il ragazzo ti chiede della pipa.";
										break;
						case 3: res = "Il ragazzo esamina il baule.";
										break;
					}
				}
			}
			break;
	}
	return res;
}

entities[entities.length] = new Entity("giovane", giovane);

function pipa(action) {
	var res = null;
	switch (action) {
		case 1:
			res = myEscape("> esamini la pipa") + ln;
			res += "E' una lunga pipa di metallo dorato con l'impugnatura di legno. ";
			if (!vecchio_morto) {
				res += "Dal fornello e dal bocchino fuoriescono sottili volute di " +
					"fumo.";
			}
			break;
		case 2:
			res = myEscape("> agisci sulla pipa") + ln;
			if (giocatore_ha_pipa) {
				if (vecchio_presente) {
					res += "Vorresti sederti a fumare, ma il vecchiaccio ti  d'ingombro.";
				} else {
					if (giocatore_fumato) {
						res += "Qualche boccata e torna il buonumore.";
					} else {
						giocatore_fumato = true;
						giovane_presente = true;
						res += "Ti siedi e cominci a fumare la pipa. Proprio quando " +
							"stai per finire il tabacco ti accorgi " +
							"della presenza di un giovane addormentato nella stanza: e questo " +
							"da dove cazzo  sbucato? Ti chiedi. In quel mentre il giovane si sveglia, si guarda " +
							"attorno come se si fosse perso, ti chiede qualcosa, ma non riesci a capire quello che " +
							"dice, provi a parlare con lui, ma anch'egli sembra non capire la tua lingua. Ad " +
							"un certo punto comincia ad inalare il fumo della stanza.";
					}
				}
			} else {
				if (vecchio_morto) {
					giocatore_ha_pipa = true;
					res += "Avrebbe dovuto dartela subito il caro nonnino, l'hai sempre detto, " +
						"beh meglio cos: ora  tua e non dovrai dividerla con nessuno.";
				} else {
					if (giocatore_drogato) {
						res += "Ti faresti volentieri un tiro con quella pipa, anzi ti faresti " +
							"una gran fumata, s, una fumata da mandarti in orbita, " +
							"ma la pipa non  tua, no, ce l'ha il vecchio, quel maledetto " +
							"non te la dar mai, vuole tenersela tutta per se il " +
							"bastardo, beh ha fatto male i conti, far bene a darti " +
							"la dannata pipa o...";
					} else {
						res += "Al momento non hai interesse per la pipa.";
					}
				}
			}
			break;
		case 3:
			if (vecchio_presente) {
				res = myEscape("> parli con il vecchio della pipa") + ln;
				if (vecchio_morto) {
					res += "\"Alla tua, vecchio mio!\", e ti fai una tirata.";
				} else {
					if (giocatore_drogato) {
						res += "\"Oh questa? E' la mia pipa\", risponde il vecchio, \"non me ne separo mai\", " +
							"e cos dicendo tira una lunga boccata.";
					} else {
						res += risposta_vecchio;
					}
				}
			} else if (giovane_presente) {
				res = myEscape("> parli con il giovane della pipa") + ln;
				res += "Stranamente il giovane ti ha chiesto della pipa, sembra incuriosito da essa, " +
					"ma tu gli hai fatto capire che la pipa  tua e che non la condividi con nessuno.";
			} else {
				res = myEscape("> parli della pipa") + ln;
				res += "Meglio non parlare ad alta voce della pipa, pensi, potrebbe esserci qualcuno o qualcosa che " +
					"attende paziente da qualche parte negli anfratti oscuri della stanza, desideroso di impossessarsene.";
			}
			break;
		case 4: break;
	}
	return res;
}

entities[entities.length] = new Entity("pipa", pipa);

function fumo(action) {
	var res = null;
	switch (action) {
		case 1:
			res = myEscape("> esamini il fumo") + ln;
			if (!vecchio_morto) {
				res += "Un fumo bianco fuoriesce dalla pipa e dalla bocca del vecchio e " +
					" permea l'aria creando una sorta di nebbiolina che tutto avvolge.";
			} else {
				res += "Un fumo bianco permea l'aria creando una sorta di nebbiolina che tutto avvolge.";
			}
			break;
		case 2:
			res = myEscape("> agisci sul fumo") + ln;
			if (fumo_spostato) {
				switch (num_inalazioni) {
					case 0: num_inalazioni++;
									res += "Incuriosito dal fumo cominci a inalarlo, " +
										"l'odore  buono, ti piace, ma comincia a girarti " +
										"la testa...";
									break;
					case 1: num_inalazioni++;
									res += "Respiri ancora il fumo e noti che questo tuo gesto sembra " +
										"attirare l'attenzione del vecchio il quale ti guarda e sorride...";
									break;
					case 2: num_inalazioni++;
									giocatore_drogato = true;
									res += "Sai quello che sta per succedere, ma ormai non riesci pi a " +
										"smettere, ti pervade una sensazione di benessere e ti sembra che " +
										"le cose attorno a te cambino aspetto...";
									break;
					default: res += "Hai gi respirato a sufficienza.";
									 break;
				}
			} else {
				fumo_spostato = true;
				res += "Muovi le mani spostando il fumo davanti alla tua faccia, quasi " +
					"a voler migliorare la visibilit.";
			}
			break;
		case 3:
			if (giocatore_drogato) {
				res = myEscape("> parli del fumo") + ln;
				res += "Non c' niente che vuoi chiedere a proposito del fumo.";
			} else {
				res = myEscape("> parli con il vecchio del fumo") + ln;
				res += "Tossendo per la presenza del fumo, chiedi gentilmente al vecchio " +
					"se pu smettere di fumare. Il vecchio ti guarda con aria interrogativa " +
					"poi ridacchia e si rimette a fumare.";
			}
			break;
		case 4: break;
	}
	return res;
}

entities[entities.length] = new Entity("fumo", fumo);

function baule(action) {
	var res = null;
	switch (action) {
		case 1:
			res = myEscape("> esamini il baule") + ln;
			res += "Un enorme baule di lucido legno nero.";
			break;
		case 2:
			res = myEscape("> agisci sul baule") + ln;
			if (giocatore_ha_bastone) {
				if (pozzo_scoperto) {
					res += "Sposti ancora il baule, ma non succede nulla.";
				} else {
					pozzo_scoperto = true;
					res += "Sposti il baule scoprendo un pozzo sotto di esso.";
				}
			} else {
				if (giocatore_ha_chiave) {
					if (baule_aperto) {
						baule_aperto = false;
						res += "Chiudi il baule";
					} else {
						baule_aperto = true;
						res += "Apri il baule e al suo interno trovi un bastone.";
					}
				} else {
					res += "Tenti di aprire il baule, ma non ci riesci:  bloccato.";
				}
			}
			break;
		case 3:
			if (vecchio_presente) {
				res = myEscape("> parli con il vecchio del baule") + ln;
				if (vecchio_morto) {
					res += "\"Quel baule  stata una piacevole sorpresa, non trovi vecchio mio? AH AH AH AH!\"";
				} else {
					if (giocatore_drogato) {
						res += "Chiedi al vecchio del baule: \"E' qui da sempre, ma non ricordo cosa contenga...\", risponde.";
					} else {
						res += risposta_vecchio;
					}
				}
			} else if (giovane_presente) {
				res = myEscape("> parli con il giovane del baule") + ln;
				res += "Il giovane ti chiede del baule, ma per quanto tu ti sforzi non riesci a ricordare a cosa serva " +
					"o cosa contenga.";
			} else {
				res = myEscape("> parli del baule") + ln;
				res += "Non c' nessuno qui a cui puoi chiedere del baule, non che ti interessasse comunque.";
			}
			break;
		case 4: break;
	}
	return res;
}

entities[entities.length] = new Entity("baule", baule);

function sacchetto(action) {
	var res = null;
	switch (action) {
		case 1:
			res = myEscape("> esamini il sacchetto") + ln;
			if (sacchetto_aperto) {
				res += "Un sacchetto di pelle contenente delle foglie di tabacco essiccate.";
			} else {
				res += "Un sacchetto di pelle.";
			}
			break;
		case 2:
			res = myEscape("> agisci sul sacchetto") + ln;
			if (sacchetto_aperto) {
				res += "Hai gi aperto il sacchetto.";
			} else {
				sacchetto_aperto = true;
				res += "Apri il sacchetto e dentro trovi delle foglie essiccate, si direbbe del tabacco.";
			}
			break;
		case 3:
			if (vecchio_presente) {
				res = myEscape("> parli con il vecchio del sacchetto") + ln;
				if (vecchio_morto) {
					res += "\"Il fumo uccide, non lo sapevi vecchio mio? AH AH AH AH\"";
				} else {
					if (giocatore_drogato) {
						res += "\"Casualmente ho con me del tabacco, ne vorresti un po'?\", chiedi al " +
							"vecchio porgendogli il sacchetto. \"Sei molto gentile.\", ti ringrazia il vecchio, ne " +
							"prende una manciata e la mette nella pipa, poi tira delle lunghe boccate. " + 
							"\"Ahhh, ottimo!\", commenta soddisfatto, \"Oh! A proposito, questa  per te\", e cos " +
							"dicendo ti porge una chiave.";
					} else {
						res += risposta_vecchio;
					}
				}
			} else if (giovane_presente) {
				res = myEscape("> parli con il giovane del sacchetto") + ln;
				if (tabacco_preso) {
					res += "Hai gi chiesto il tabacco al giovane, sarebbe scortese chiederne dell'altro.";
				} else {
					res += "Vorresti chiedere al giovane se ha del tabacco con se, ma non vuoi essere troppo esplicito.";
				}
			} else {
				res = myEscape("> parli del sacchetto") + ln;
				res += "Non c' nessuno qui a cui puoi chiedere del tabacco.";
			}
			break;
		case 4: break;
	}
	return res;
}

entities[entities.length] = new Entity("sacchetto", sacchetto);

function chiave(action) {
	var res = null;
	switch (action) {
		case 1:
			res = myEscape("> esamini la chiave") + ln;
			res += "Una chiave.";
			break;
		case 2:
			res = myEscape("> agisci sulla chiave") + ln;
			if (giocatore_ha_chiave) {
				res += "La chiave da sola non serve a nulla.";
			} else {
				giocatore_ha_chiave = true;
				res += "Ringrazi il vecchio e prendi la chiave.";
			}
			break;
		case 3:
			if (vecchio_presente) {
				res = myEscape("> parli con il vecchio della chiave") + ln;
				if (vecchio_morto) {
					res += "\"Nonno? ...Ehi nonno ci sei? ...Vecchiaccio di meerdaaa?\", per quanto tu lo " +
					"chiami il vecchio non ti risponde, che maleducati questi morti, concludi.";
				} else {
					res += "\"Che cos'?\", domandi. \"Non lo vedi? E' una chiave.\", risponde il vecchio. " +
					"\"Lo vedo, ma cosa me ne faccio?\", chiedi. \"Ci apri le cose chiuse a chiave, no?\". " +
					"Il ragionamento non fa una grinza, pensi.";
				}
			} else if (giovane_presente) {
				res = myEscape("> parli con il giovane della chiave") + ln;
				if (tabacco_preso) {
					gameOver = true;
					res += "Fine";
				} else {
					res += "E perch dovresti parlare della chiave con il giovane?";
				}
			} else {
				res = myEscape("> parli della chiave") + ln;
				res += "Non c' nessuno qui con cui puoi parlare della chiave.";
			}
			break;
		case 4: break;
	}
	return res;
}

entities[entities.length] = new Entity("chiave", chiave);

function bastone(action) {
	var res = null;
	switch (action) {
		case 1:
			res = myEscape("> esamini il bastone") + ln;
			if (vecchio_morto) {
				res += "Messer Bastone, tuo compagno in quest'avventura, ti  stato molto utile " +
					"poc'anzi, quando hai deciso di fracassare la testa dell'inutile " +
					"omino che sedeva in questa stanza. Noti che su un lato del mirabile " +
					"strumento la lacca si  staccata per fare spazio a vivaci schizzi " +
					"di sangue, cazzo, pensi,  una fottuta opera d'arte!";
			} else {
				res += "Un lungo bastone di legno nero.";
			}
			break;
		case 2:
			res = myEscape("> agisci sul bastone") + ln;
			if (giocatore_ha_bastone) {
				res += "Soppesi il bastone e poi lo impugni come un'arma: tenerlo in mano ti d un senso di potere.";
			} else {
				giocatore_ha_bastone = true;
				res += "Mentre raccogli il bastone noti che il vecchio ha smesso di fumare e " +
					"ti sta guardando, quasi fosse preoccupato.";
			}
			break;
		case 3:
			if (vecchio_presente) {
				res = myEscape("> parli con il vecchio del bastone") + ln;
				if (vecchio_morto) {
					res += "\"Ecco, grazie a quella tua testaccia dura il bastone si  scheggiato, " +
						"non hai proprio rispetto per le cose degli altri! AH AH AH AH!\"";
				} else {
					if (giocatore_ha_bastone) {
						res += "\"Ehi nonno, che ne pensi?\", chiedi al vecchio mentre gli mostri il bastone. " +
							"\"Niente male.\", risponde il vecchio, \"se fossi in te comunqe lo metterei gi, " +
							"qualcuno potrebbe farsi male\".";
					} else {
						res += "\"Sapevi che dentro al baule c'era un bastone?\", chiedi al vecchio. \"Un bastone?\", ti fa eco " +
							"il vecchio mentre si gratta il mento quasi a voler ricordare qualcosa in proposito. \"Ehh, no, non ricordo...\", " +
							"conclude rassegnato e si rimette a fumare.";
					}
				}
			} else if (giovane_presente) {
				res = myEscape("> parli con il giovane del bastone") + ln;
				res += "Credi sia meglio non parlare al giovane del bastone.";
			} else {
				res = myEscape("> parli del bastone") + ln;
				res += "Non c' nessuno in questa stanza con cui puoi parlare del bastone.";
			}
			break;
		case 4: break;
	}
	return res;
}

entities[entities.length] = new Entity("bastone", bastone);

function pozzo(action) {
	var res = null;
	switch (action) {
		case 1:
			res = myEscape("> esamini il pozzo") + ln;
			res += "Un buco di forma circolare profondo e oscuro.";
			break;
		case 2:
			res = myEscape("> agisci sul pozzo") + ln;
			res += "Per qualche istante scruti nell'oscurit del pozzo domandandoti cosa ci sar sul " +
				"fondo: l'abisso ti spaventa e ti attrae allo stesso tempo, ma per il momento decidi " +
				"che rimarrai qui.";
			break;
		case 3:
			if (vecchio_presente) {
				res = myEscape("> parli con il vecchio del pozzo") + ln;
				if (vecchio_morto) {
					res += "\"Vecchio mio, sai una cosa, credo di aver trovato il modo di sbarazzarmi" +
						"di te? Come dici? Non vedi l'ora? Bene, siamo in due allora!\"";
				} else {
					if (giocatore_drogato) {
						res += "\"Ehi nonno, sai dove conduce questo pozzo?\", chiedi al vecchio. \"No, non lo so.\", risponde.";
					} else {
						res += risposta_vecchio;
					}
				}
			} else if (giovane_presente) {
				res = myEscape("> parli con il giovane del pozzo") + ln;
				res = "Meglio non parlare del pozzo al giovane, potrebbe farsi venire delle " +
					"strane idee.";
			} else {
				res = myEscape("> parli del pozzo") + ln;
				res += "Non c' nessuno qui a cui puoi chiedere del pozzo.";
			}
			break;
		case 4: break;
	}
	return res;
}

entities[entities.length] = new Entity("pozzo", pozzo);

//==============================================================================
// Funzioni entit particolari

/*
 * stampa l'inventario.
 */
function inventario(action) {
	var res = null;
	if (action != 4) {
		res = myEscape("> inventario") + ln;
		res += "Stai trasportando:<br/><ul>";
		if (giocatore_ha_chiave)
			res += "<li>Una chiave</li>";
		if (giocatore_ha_bastone)
			res += "<li>Un bastone</li>";
		if (giocatore_ha_pipa)
			res += "<li>Una pipa</li>";
		if (giocatore_ha_sacchetto)
			res += "<li>Un sacchetto</li>";
		res += "</ul>";
	}
	return res;
}

entities[entities.length] = new Entity("inventario", inventario);

//==============================================================================
// Funzioni personalizzate

/*
 * Non sono entit, ma riguardano comunque il gioco specifico.
 * Possono servire ad esempio per stampare un antefatto/prologo come la funzione
 * intro o la fine/epilogo del gioco come la funzione outro o ancora una
 * breve guida in linea come la funzione help.
 */
function intro(pag) {
	var text = "...Non sai come, non sai perch, ma ti risvegli in un luogo " +
		"sconosciuto: senti una strana musica provenire da " +
		"chiss dove e l'aria ha un profumo ancora pi strano, dolce, " +
		"rilassante...";
	document.body.innerHTML = buildParagraph(text, "initGUI()");
}

function outro(pag) {
	switch (pag) {
		case 1:
			var text = "In segno di gratitudine decidi di ricambiare il gesto del giovane " +
				"dandogli la chiave, lui la prende, la guarda e la usa per aprire " +
				"il baule; con tuo grande stupore osservi il ragazzo estrarre " +
				"da quest'ultimo un lungo bastone di legno nero...Provi una " +
				"terribile sensazione di dejavu, ma non riesci a ricordare con precisione, il fumo deve " +
				"averti annebbiato la mente...Nel frattempo il ragazzo ha impugnato " +
				"il bastone e ti guarda con aria minacciosa...";
			document.body.innerHTML = buildParagraph(text, "outro(2)");
			break;
		case 2:
			var text = "CRACK! La prima bastonata ti raggiunge in pieno volto rompendoti " +
				"il setto nasale, credi di soffocare tanto  il sangue che ti scorre " +
				"in gola, ma il giovane non  che all'inizio; ti picchia con inaudita " +
				"ferocia, le bastonate si susseguono senza sosta come se un demone " +
				"si fosse impossessato del suo corpo e agisse attraverso di lui.<br/>" +
				"Per te non c' pi scampo: muori.";
			document.body.innerHTML = buildParagraph(text, "outro(3)");
			break;
		case 3:
			var text = "Sei morto, eppure non lo sei; ti trovi ancora " +
				"nella stanza, non riesci a muovere un solo muscolo, ma vedi e senti tutto, chiunque " +
				"guardandoti giurerebbe che sei defunto: un cadavere in un lago di sangue.";
			document.body.innerHTML = buildParagraph(text, "outro(4)");
			break;
		case 4:
			var text = "Nel frattempo il giovane si  placato, ha spostato il baule " +
				"scoprendo la voragine sotto di esso e ti ci sta trascinando. Precipiti " +
				"nel vuoto assieme al bastone, il giovane ti guarda cadere e ben presto " +
				"sei solo nell'oscurit.";
			document.body.innerHTML = buildParagraph(text, "outro(5)");
			break;
		case 5:
			var text = "Mentre cadi le pareti del pozzo scorrono veloci tutt'intorno " +
				"finch sbuchi nello spazio siderale.<br/>" +
				"La tua caduta continua per un tempo infinito; bloccato nella tua condizioni osservi " +
				"impotente lo scorrere delle galassie fino a raggiungere i limiti spaziotemporali dell'universo.<br/>" +
				"Il tuo viaggio  inconcepibile per una mente umana, gli eventi della stanza " +
				"sono cos lontani che dubiti siano mai accaduti.<br/> " +
				"Quando credi che sarai destinato a subire questa condanna per l'eternit un sonno " +
				"profondo ti assale...";
			document.body.innerHTML = buildParagraph(text, "outro(6)");
			break;
		case 6:
			var text = "...Non sai come, non sai perch, ma ti risvegli in un luogo " +
				"sconosciuto: senti una strana musica provenire da " +
				"chiss dove e l'aria ha un profumo ancora pi strano, dolce, " +
				"rilassante..." + ln +
				"Ti trovi in una stanza strana, in stile orientale, credi. " +
				"In un angolo un vecchio  seduto e sta fumando la pipa. Puoi anche " +
				"vedere un baule contro una parete." + ln;
			text += "<center><h1>Fine</h1></center>";
			document.body.innerHTML = buildParagraph(text, null);
			break;
	}
}

